Package org.drinkless.tdlib

# Class TdApi.PersonalDetails

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PersonalDetails

Enclosing class:
  `TdApi`

public static class TdApi.PersonalDetails extends TdApi.Object
Contains the user's personal details.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Date`
  `birthdate`
  Birthdate of the user.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `countryCode`
  A two-letter ISO 3166-1 alpha-2 country code of the user's country.
  `String`
  `firstName`
  First name of the user written in English; 1-255 characters.
  `String`
  `gender`
  Gender of the user, "male" or "female".
  `String`
  `lastName`
  Last name of the user written in English; 1-255 characters.
  `String`
  `middleName`
  Middle name of the user written in English; 0-255 characters.
  `String`
  `nativeFirstName`
  Native first name of the user; 1-255 characters.
  `String`
  `nativeLastName`
  Native last name of the user; 1-255 characters.
  `String`
  `nativeMiddleName`
  Native middle name of the user; 0-255 characters.
  `String`
  `residenceCountryCode`
  A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersonalDetails()`
  Contains the user's personal details.
  `PersonalDetails(String firstName, String middleName, String lastName, String nativeFirstName, String nativeMiddleName, String nativeLastName, TdApi.Date birthdate, String gender, String countryCode, String residenceCountryCode)`
  Contains the user's personal details.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### firstName

    public String firstName
    First name of the user written in English; 1-255 characters.

  - ### middleName

    public String middleName
    Middle name of the user written in English; 0-255 characters.

  - ### lastName

    public String lastName
    Last name of the user written in English; 1-255 characters.

  - ### nativeFirstName

    public String nativeFirstName
    Native first name of the user; 1-255 characters.

  - ### nativeMiddleName

    public String nativeMiddleName
    Native middle name of the user; 0-255 characters.

  - ### nativeLastName

    public String nativeLastName
    Native last name of the user; 1-255 characters.

  - ### birthdate

    public TdApi.Date birthdate
    Birthdate of the user.

  - ### gender

    public String gender
    Gender of the user, "male" or "female".

  - ### countryCode

    public String countryCode
    A two-letter ISO 3166-1 alpha-2 country code of the user's country.

  - ### residenceCountryCode

    public String residenceCountryCode
    A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PersonalDetails

    public PersonalDetails()
    Contains the user's personal details.

  - ### PersonalDetails

    public PersonalDetails(String firstName, String middleName, String lastName, String nativeFirstName, String nativeMiddleName, String nativeLastName, TdApi.Date birthdate, String gender, String countryCode, String residenceCountryCode)
    Contains the user's personal details.
    Parameters:
      `firstName` - First name of the user written in English; 1-255 characters.
      `middleName` - Middle name of the user written in English; 0-255 characters.
      `lastName` - Last name of the user written in English; 1-255 characters.
      `nativeFirstName` - Native first name of the user; 1-255 characters.
      `nativeMiddleName` - Native middle name of the user; 0-255 characters.
      `nativeLastName` - Native last name of the user; 1-255 characters.
      `birthdate` - Birthdate of the user.
      `gender` - Gender of the user, "male" or "female".
      `countryCode` - A two-letter ISO 3166-1 alpha-2 country code of the user's country.
      `residenceCountryCode` - A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR